petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatMFFDGetH

Gets the last value that was used as the differencing parameter.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDGetH(Mat mat,PetscScalar *h)

Not Collective

### Input Parameters

mat -the matrix obtained with MatCreateSNESMF()

### Output Paramter

h -the differencing step size

### See Also

MatCreateSNESMF(),MatMFFDSetHHistory(), MatCreateMFFD(), MATMFFD, MatMFFDResetHHistory()

### Level

advanced

### Location

src/mat/impls/mffd/mffd.c

### Implementations

MatMFFDGetH_MFFD in src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages